#include <QtCore/QtPlugin>
#include <QDesignerFormEditorInterface>
#include <QDesignerPropertyEditorInterface>
#include "plugin_clock.h"
#include "clock.h"


SHSClockPlugin::SHSClockPlugin(QObject * parent): QObject(parent) {
	m_initialized = false;
}


void SHSClockPlugin::initialize(QDesignerFormEditorInterface * ) {
	if (m_initialized)
		return;
	m_initialized = true;
}


bool SHSClockPlugin::isInitialized() const {
	return m_initialized;
}


QWidget * SHSClockPlugin::createWidget(QWidget * parent) {
	return new SHSClock(parent);
}


QString SHSClockPlugin::name() const {
	return QLatin1String("SHSClock");
}


QString SHSClockPlugin::group() const {
	return QLatin1String("SHS Widgets");
}


QIcon SHSClockPlugin::icon() const {
	return QIcon(":/icons/clock.png");
}


QString SHSClockPlugin::toolTip() const {
	return QLatin1String("");
}


QString SHSClockPlugin::whatsThis() const {
	return QLatin1String("");
}


bool SHSClockPlugin::isContainer() const {
	return false;
}


QString SHSClockPlugin::domXml() const {
	return QLatin1String("<widget class=\"SHSClock\" name=\"clock\">\n</widget>\n");
}


QString SHSClockPlugin::includeFile() const {
	return QLatin1String("clock.h");
}

